package cn.com.tenlion.materialstore.controller.route.materialaudio;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: MaterialAudioController
 * @Description: 音频素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 10:41:09
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "音频素材路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/materialaudio")
public class MaterialAudioRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("materialaudio/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("materialaudio/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("materialaudio/list");
    }

}